
# Добро пожаловать в Anytype

{% embed url="https://www.youtube.com/watch?v=dh_3NHY5eVs" %}

Anytype — это **зашифрованная, локально-ориентированная альтернатива** облачным интернет-приложениям.&#x20;

С Anytype вы можете создавать цифровые пространства вокруг ваших интересов. Эти пространства могут быть личными — для дневников, идей и черновиков, или общими — для семьи, небольших сообществ, команд, соседей и людей с похожими интересами.

В отличие от облачных приложений, Anytype передает управление ключами шифрования непосредственно вам, так что вы владеете своими данными и своей социальной графикой. Пространства, которые вы создаете, ориентированы на локальную работу — их можно создавать офлайн, а синхронизация происходит через одноранговые сети.&#x20;

Anytype поддерживается [AnySync](https://tech.anytype.io/any-sync/overview) — протоколом с открытым исходным кодом, который поддерживает высокопроизводительное сотрудничество через зашифрованные данные и контролируемые создателями ключи. Вы можете найти наш код здесь.

С каждым архитектурным решением мы стремимся сделать [фундаментальные цифровые свободы](https://youtu.be/6Hyr881Xi8A?si=tVftb8x9V5koMt0U) безусловными. Здесь вы можете узнать больше о наших мыслях по поводу [облака и локально-ориентированного интернета](https://blog.anytype.io/the-nervous-system-of-humanity-needs-an-upgrade/).

Вы также можете исследовать заранее подготовленные шаблоны и опыт нашего сообщества в нашей [Галерее опыта](https://gallery.any.coop).&#x20;

Если у вас есть вопросы, отзывы или идеи, присоединяйтесь к нашему [сообществу на форуме.](https://community.anytype.io) Если вы хотите внести свой вклад, [здесь вы можете это сделать](https://github.com/orgs/anyproto/discussions).

### Начало работы

***

Если вы новичок в Anytype, вы можете изучить основы здесь:

* [Хранилище и ключ](basics/vault-and-key.md)
* [Пространство](basics/space/)
* [Объекты](basics/object-editor/)
* [Страницы и блоки](basics/object-editor/blocks.md)
* [Ссылки](anytype-basics/object-editor/linking-objects.md) и [отношения](basics/relations/)
* [Наборы и коллекции](basics/sets-and-collections/)
* [Просмотры в виде канбан, списка, сетки и календаря](basics/sets-and-collections/views.md)
* Боковая панель и виджеты
* [Типы](basics/types/) и [шаблоны](basics/types/templates.md)
* [Граф](basics/graph.md)

И если у вас еще остались вопросы, пожалуйста, ознакомьтесь с этим отличным руководством от одного из наших опытных пользователей:

{% embed url="https://www.youtube.com/watch?v=oY-ihuDJIvQ" %}
