# Оглавление

## 👋 Введение

* [Добро пожаловать в Anytype](README.md)
* [Скачать приложение](intro/get-the-app.md)
* [Свяжитесь с нами](intro/connect-with-us.md)

## ⬛ Основы

* [Хранилище и ключ](basics/vault-and-key.md)
  * [Настройка вашего хранилища](basics/vault-and-key/setting-up-your-profile.md)
  * [Настройки хранилища](basics/vault-and-key/account-and-data.md)
  * [Боковая панель и виджеты](basics/vault-and-key/customize-and-edit-the-sidebar.md)
  * [Ключ](data-and-security/what-is-a-recovery-phrase.md)
* [Пространство](basics/space/README.md)
  * [Настройка пространства](basics/space/space-settings.md)
  * [Сотрудничество с другими](basics/space/collaboration.md)
* [Объекты](basics/object-editor/README.md)
  * [Блоки и редактор](basics/object-editor/blocks.md)
  * [Способы создания объектов](basics/object-editor/create-an-object.md)
  * [Поиск ваших объектов](basics/object-editor/finding-your-objects.md)
* [Типы](basics/types/README.md)
  * [Создание нового типа](basics/types/create-a-new-type.md)
  * [Макеты](basics/types/layouts.md)
  * [Шаблоны](basics/types/templates.md)
* [Связи](basics/relations/README.md)
  * [Добавление новой связи](basics/relations/create-a-new-relation.md)
  * [Создание новой связи](basics/relations/create-a-new-relation-1.md)
* [Наборы и коллекции](basics/sets-and-collections/README.md)
  * [Наборы](basics/sets-and-collections/sets.md)
  * [Коллекции](basics/sets-and-collections/collections.md)
  * [Представления](basics/sets-and-collections/views.md)
* [Библиотека](basics/anytype-library.md)
* [Ссылки](anytype-basics/object-editor/linking-objects.md)
* [Граф](basics/graph.md)
* [Импорт и экспорт](basics/import-export.md)

## 📽️ Примеры использования

* [🖼️ Галерея опыта ANY](use-cases/any-experience-gallery.md)
* [✨ Простой дашборд](use-cases/simple-dashboard.md)
* [🌟 Глубокое погружение: Наборы](use-cases/deep-dive-sets.md)
* [💫 Глубокое погружение: Шаблоны](use-cases/deep-dive-templates.md)
* [🧠 Метод PARA](use-cases/para-method-for-note-taking.md)
* [✏️ Ежедневные заметки](use-cases/anytype-editor.md)
* [🎬 База данных фильмов](use-cases/movie-database.md)
* [🍎 Учебные заметки](use-cases/study-notes.md)
* [✈️ Путеводитель](use-cases/travel-wiki.md)
* [🍛 Книга рецептов и планировщик питания](use-cases/meal-planner-recipe-book.md)
* [🗨️ Языковые карточки](use-cases/language-flashcards.md)

## 🔐 Данные и безопасность

* [Конфиденциальность и шифрование](data-and-security/how-we-keep-your-data-safe.md)
* [Хранение данных и удаление](data-and-security/data-storage-and-deletion/README.md)
* [Сети и резервное копирование](data-and-security/self-hosting/README.md)
  * [Только локально](data-and-security/self-hosting/local-only.md)
  * [Самостоятельный хостинг](data-and-security/self-hosting/self-hosted.md)
* [Удаление данных](data-and-security/delete-or-reset-your-account.md)
* [Аналитика и отслеживание](data-and-security/analytics-and-tracking.md)

## 💰 Подписки

* [Планы подписки](memberships/monetization/README.md)
  * [ЧaВО по многопользовательскому режиму и подпискам](memberships/monetization/multiplayer-and-membership-faqs.md)
* [Форум сообщества](community/community-forum/README.md)
  * [Сообщить об ошибках](community/community-forum/report-bugs.md)
  * [Запросить функцию и проголосовать](community/community-forum/request-a-feature-and-vote.md)
  * [Получить помощь от сообщества](community/community-forum/get-help-from-the-community.md)
  * [Поделитесь своими отзывами](community/community-forum/share-your-feedback.md)
* [Открытая инициатива Any](community/join-the-open-source-project.md)
* [Хронология Any](community/any-timeline.md)
* [Рабочий процесс продукта](community/product-workflow.md)
* [Руководство по пользовательскому CSS](community/custom-css.md)

## 🌈 Разное

* [Часто задаваемые вопросы](miscellaneous/faqs.md)
* [Функции](miscellaneous/feature-list-by-platform.md)
* [Устранение неполадок](miscellaneous/troubleshooting.md)
* [Миграция с бета-версии](miscellaneous/migration-from-the-legacy-app.md)
