---
Description: Как связывать объекты с помощью отношений или простых ссылок.
---

# Ссылки

### Создание новых ссылок

#### Ссылка на другой объект в Anytype

Напрямую через холст, используя:

1. **Ссылки на блок.** Введите символ слэш ("/"), чтобы вызвать командную строку, и выберите в меню опцию `Link to Object`. Эти ссылки могут отображаться как текст или карточки.
2. **Встроенные ссылки.** Введите @, чтобы вызвать меню выбора объекта.

С помощью отношений, назначив тип отношения объекта в меню объекта.

#### Ссылка на внешний объект на вашем устройстве

Если вы хотите добавить ссылку на внешний объект на вашем компьютере, используйте ссылки **начиная с file:///** и добавьте местоположение локального файла. Например:

* file:///Users/Alex/Downloads/Protocol-Berg.pdf — для открытия PDF-файлов;
* file:///Users/Alex/Downloads/my\_budget.xlsx — для открытия электронных таблиц (Excel, Numbers).

Чтобы добавить такую ссылку, выберите "Ссылка на веб-сайт", как если бы вы добавляли новую ссылку на веб-сайт.

#### Упоминания дат

Вы можете использовать **встроенные ссылки**, чтобы быстро ссылаться на абсолютные или относительные даты.

Некоторые примеры:

* @now or @today - сейчас или сегодня
* @tomorrow - завтра
* @nextweek - следующая неделя
* @nextmonth - следующий месяц
* @24/8/2023 - конкретная дата

#### Алиасы ссылок

Вы можете использовать обычные ссылки, чтобы ссылаться на конкретный объект в вашем пространстве, используя другое имя.&#x20;

1. Сначала напишите имя вашей ссылки.
2. Выделите имя и нажмите `Ctrl + K`.
3. Найдите объект, на который хотите сослаться, и выберите его.

### Проверка существующих ссылок

#### Отношения на графе

В ваших документах может быть несколько ссылок или соединений, которые могут быть связаны с другими элементами в вашей библиотеке. Граф служит визуализатором для этого. Объекты, соединённые с другими объектами, людьми или задачами.

Узнайте больше об [отношениях](../../basics/relations/ "mention") и [графе](../../basics/graph.md "mention") здесь.

#### Использование Flow

Ещё один способ проверить, какие объекты связаны между собой, можно найти на вкладке Flow рядом с графом.

В верхней центральной части экрана вы увидите опцию для переключения на режим просмотра **Flow**. Это покажет вам, какой объект связан до и после текущего объекта, который вы просматриваете.

#### Обратные ссылки

Мы недавно добавили обратные ссылки как часть нашей системы отношений.&#x20;

По умолчанию, если отношение обратных ссылок не пустое, вы сможете найти его в разделе "Избранное". Щёлкнув на него, вы увидите список всех связанных объектов.\
Если у объекта нет обратных ссылок, отношение не будет отображаться в разделе "Избранное", но вы всё ещё можете найти его в панели отношений объекта.

<figure><img src="../../../.gitbook/assets/image (2) (1).png" alt=""><figcaption></figcaption></figure>

#### Коллекции

Коллекции также используют ссылки для управления тем, что отображается на их холсте. Чтобы добавить существующий объект в коллекцию, используйте опцию **Link To** в контекстном меню объекта.
