# Импорт и экспорт

Вы можете импортировать или экспортировать из вашего пространства, перейдя в **Anytype > Настройки пространства > Импорт / Экспорт пространства** в меню:

<figure><img src="../../.gitbook/assets/image (83).png" alt="" width="375"><figcaption></figcaption></figure>

Кроме того, вы можете найти опции Импортировать в / Экспортировать пространство в разделе Интеграции ваших [Настроек пространства](space/space-settings.md):

<figure><img src="../../.gitbook/assets/image (82).png" alt="" width="375"><figcaption></figcaption></figure>

Также можно просто ввести "Импорт" или "Экспорт" в поисковом меню.

### Пошаговая инструкция по импорту из Notion

{% hint style="info" %}
Поскольку не все функции Notion реализованы в Anytype, некоторые данные из Notion могут быть неправильно импортированы.
{% endhint %}

<details>

<summary>Шаги</summary>

**Шаг 1**

1.  **Откройте Настройки и участники.**\


    <figure><img src="../../.gitbook/assets/notion/1-1.png" alt="Открыть Настройки &#x26; участники" width="500"><figcaption></figcaption></figure>
2.  **Откройте Мои соединения, затем нажмите Разработать или управлять интеграциями.**\


    <figure><img src="../../.gitbook/assets/notion/1-2.png" alt="Открыть Мои соединения" width="500"><figcaption></figcaption></figure>
3.  **Нажмите Новая интеграция или Создать новую интеграцию.**\


    <figure><img src="../../.gitbook/assets/notion/1-3.png" alt="Создать новую интеграцию" width="500"><figcaption></figcaption></figure>
4.  **Выберите ваше рабочее пространство и задайте Имя для интеграции.**\


    <figure><img src="../../.gitbook/assets/notion/1-4.png" alt="Задать Имя для интеграции" width="500"><figcaption></figcaption></figure>
5. **Важно!**\
   Перейдите к **Возможностям** и выберите следующие возможности, затем нажмите **Сохранить изменения**:

* Чтение содержимого
* Чтение информации о пользователе\


    <figure><img src="../../.gitbook/assets/notion/1-5.png" alt="Выбрать возможности" width="500"><figcaption></figcaption></figure>

6.  **Скопируйте Внутренний секрет интеграции** для подключения и импорта ваших данных.\


    <figure><img src="../../.gitbook/assets/notion/1-6.png" alt="Скопировать Внутренний секрет интеграции" width="500"><figcaption></figcaption></figure>

**Шаг 2**

**Добавьте интеграцию на страницы, которые вы хотите импортировать в Anytype.** Страницы будут импортированы вместе с дочерними документами.

1.  **Нажмите на три точки в правом верхнем углу, затем нажмите Подключиться к (возможно, вам нужно будет прокрутить меню).** Выберите вашу интеграцию Anytype.\


    <figure><img src="../../.gitbook/assets/notion/2-1.png" alt="Подключиться к интеграции Anytype" width="500"><figcaption></figcaption></figure>
2. **Убедитесь, что вы выбрали все корневые страницы**, чтобы избежать разорванных ссылок в Anytype после импорта.
3.  **Добавьте интеграцию к соединению каждой страницы**, чтобы страницы и их связанный контент были импортированы корректно.\


    <figure><img src="../../.gitbook/assets/notion/2-2.png" alt="Нажмите Подтвердить" width="500"><figcaption></figcaption></figure>

**Шаг 3**

**Завершите импорт и убедитесь в его корректном выполнении:**

1. **Вставьте ваш Внутренний секрет интеграции в Anytype.**
2. **Подготовьтесь к плавному импорту:**

* Используйте хорошее интернет-соединение, особенно если у вас много файлов.
* Держите компьютер подключенным к источнику питания.
* Отключите режим сна на компьютере, чтобы процесс импорта завершился без прерываний.

</details>

#### Часто задаваемые вопросы

<details>

<summary>Почему я вижу "страница не найдена" вместо ссылок после импорта из Notion в Anytype?</summary>

Эта проблема возникает, если у вас есть ссылки на страницы, которые не вложены в структуру вашего рабочего пространства Notion. Эти страницы могут не быть правильно подключены к интеграции во время импорта, что приводит к разорванным ссылкам в Anytype.

**Решение:**

* **Проверьте соединения страниц:** Убедитесь, что все страницы в вашем рабочем пространстве Notion подключены перед началом процесса импорта. Если страница не подключена к интеграции, она может быть импортирована неправильно. См. шаг 2 в [Пошаговом руководстве по импорту из Notion](import-export.md#notion-import-step-by-step-guide) для получения подробной информации.
* **Повторите импорт:** Если страница не была импортирована, добавьте недостающее соединение и повторите импорт.

</details>

<details>

<summary>Почему некоторые файлы отсутствуют после импорта из Notion в Anytype?</summary>

Есть две основные причины отсутствия файлов:

* **Отсутствующее соединение:** Убедитесь, что страница, содержащая файлы в Notion, правильно подключена к интеграции перед импортом. Если это соединение отсутствует, файлы могут не быть импортированы.
* **Медленное интернет-соединение:** Если у вас медленное интернет-соединение и много файлов, ссылки на эти файлы могут истечь во время загрузки, что приведет к отсутствию файлов.

**Решение:**

* **Убедитесь в правильном подключении:** Дважды проверьте, что все страницы и их соответствующие файлы подключены в Notion перед импортом.
* **Используйте более быстрое интернет-соединение:** Если возможно, используйте более быстрое соединение во время процесса импорта, чтобы предотвратить истечение срока действия ссылок.
* **Добавьте отсутствующие файлы вручную:** Если файлы отсутствуют после импорта, вам может потребоваться вручную загрузить их в Anytype.

</details>

<details>

<summary>Почему импорт из Notion в Anytype занял так много времени?</summary>

Процесс импорта использует API Notion для обеспечения максимально точной передачи данных. Этот метод, хотя и более надежен, чем экспорт в Markdown, требует выполнения множества запросов. Со временем Notion может начать ограничивать количество запросов, что приводит к задержкам.

**Решение:**

* **Подключите ваше устройство к источнику питания:** Убедитесь, что ваш компьютер подключен к источнику питания во время импорта.
* **Отключите режим сна:** Предотвратите переход компьютера в режим сна, чтобы процесс импорта продолжался без прерываний.
* **Наберитесь терпения:** Дайте процессу импорта завершиться. Это может занять некоторое время, особенно если у вас много данных.

</details>

<details>

<summary>У меня возникла другая проблема с импортом из Notion, или я больше не имею доступа к своему рабочему пространству Notion</summary>

Если у вас возникли проблемы с импортом из Notion (который работает через API Notion) или вы потеряли полный доступ к вашему рабочему пространству Notion, вы можете экспортировать ваше рабочее пространство из Notion в формате Markdown и CSV-файлов и импортировать их в Anytype с использованием опции импорта Markdown.

Имейте в виду, что импорт через файлы Markdown и CSV менее точен по сравнению с использованием API Notion. Это связано с тем, что способ связывания документов и CSV-файлов в Notion может не полностью сохраниться в формате Markdown, что потенциально приведет к потере структуры или связей между документами.

**Решение:**

* **Экспортируйте из Notion:** В вашем рабочем пространстве Notion экспортируйте данные в формате Markdown и CSV.
* **Импортируйте в Anytype:** Используйте функцию импорта Markdown в Anytype, чтобы перенести экспортированный контент в ваше рабочее пространство Anytype.

</details>

### Импорт из Evernote

Один из участников нашего сообщества создал инструмент, который позволяет импортировать ваши заметки из Evernote в Anytype. Полное руководство можно найти на нашем [форуме сообщества](https://community.anytype.io/t/a-tool-to-import-evernote-notes-to-anytype/11483), а репозиторий GitHub здесь:

{% embed url="https://github.com/Shampra/EvernoteToAnytype" %}

### Поддерживаемые форматы файлов

#### Импорт

В настоящее время мы поддерживаем импорт следующих форматов:

* **MD (Markdown)**: Вы можете импортировать отдельные `.md` файлы или zip-архив, содержащий структуру папок и `.md` файлы. Импортируется основное содержимое страниц, их структура и ссылки. Любые встроенные файлы и изображения должны быть включены в zip-архив для успешного импорта.
* **HTML**: Мы также поддерживаем импорт HTML файлов. Структура страницы будет воспроизведена, но может потребоваться корректировка, чтобы отобразить все стили и форматирование.
* **CSV**: Вы можете импортировать таблицы, созданные в .csv файлах.

#### Экспорт

В настоящее время мы поддерживаем экспорт следующих форматов:

* **MD (Markdown)**: Экспортируйте ваши страницы и их структуру в формате Markdown.
* **HTML**: Экспортируйте ваши страницы как HTML файлы.
* **CSV**: Вы можете экспортировать таблицы в формате .csv.
