# Импорт и Экспорт

Вы можете импортировать или экспортировать данные из вашего пространства, перейдя в **Anytype > Настройки Пространства > Импорт / Экспорт Пространства**. Также вы можете просто ввести “Import” в меню поиска.
### Поддерживаемые форматы импорта
В настоящее время поддерживаются следующие источники импорта:
- **Notion API**
  Ознакомьтесь с [инструкцией](#notion-import-step-by-step-guide) для получения подробной информации о том, как импортировать данные с использованием Notion API.
### Поддерживаемые форматы файлов
Когда дело касается форматов файлов, на данный момент мы поддерживаем импорт следующих форматов:
- **MD (Markdown)**: Вы можете импортировать отдельные файлы `.md` или zip-архив, содержащий несколько файлов Markdown. Обратите внимание, что на данный момент связи не экспортируются.
- **HTML**
- **TXT**
- **CSV**
- **Any-Block**:
  - **Protobuf**
  - **JSON**

{% hint style="info" %}
Поскольку не все функции Notion доступны в Anytype, некоторые данные из Notion могут быть импортированы неправильно.
{% endhint %}

После завершения импорта новая коллекция должна появиться в виджете избранного на вашей боковой панели. Все импортированные объекты должны быть там.

Что касается форматов экспорта, в настоящее время мы предлагаем **Markdown** и **Any-Block** (как Protobuf, так и JSON).

### Часто задаваемые вопросы по импорту из Notion

<details>
<summary>Почему после импорта из Notion в Anytype я вижу "страница не найдена" вместо ссылок?</summary>
Эта проблема возникает, когда у вас есть ссылки на страницы, которые не вложены в структуру рабочего пространства Notion. Эти страницы могли не быть правильно подключены к интеграции во время импорта, что привело к появлению неработающих ссылок в Anytype.

**Решение:**
- **Проверьте соединения страниц:** Убедитесь, что все страницы в вашем рабочем пространстве Notion подключены перед началом процесса импорта. Если страница не была правильно подключена к интеграции, она может быть импортирована неправильно. См. Шаг 2 [Пошагового руководства по импорту из Notion](#notion-import-step-by-step-guide) для получения дополнительных сведений.
- **Повторите импорт:** Если страница не была импортирована, добавьте недостающую связь и повторите импорт.
</details>

<details>
<summary>Почему некоторые файлы отсутствуют после импорта из Notion в Anytype?</summary>
Есть две основные причины отсутствия файлов:

- **Отсутствие связи:** Убедитесь, что страница, содержащая файлы в Notion, правильно подключена к интеграции перед импортом. Если это соединение отсутствует, файлы могут не быть импортированы.
- **Медленное интернет-соединение:** Если у вас медленное интернет-соединение и большое количество файлов, ссылки на эти файлы могут истечь во время процесса загрузки, что приведет к отсутствию файлов.

**Решение:**
- **Убедитесь в правильности соединения:** Проверьте, что все страницы и соответствующие им файлы подключены в Notion перед импортом.
- **Используйте более быстрое интернет-соединение:** Если возможно, используйте более быстрое интернет-соединение во время процесса импорта, чтобы предотвратить истечение срока действия ссылок.
- **Добавьте отсутствующие файлы вручную:** Если файлы отсутствуют после импорта, вам, возможно, потребуется загрузить их в Anytype вручную.
</details>

<details>
<summary>Почему импорт из Notion в Anytype занял так много времени?</summary>
Процесс импорта использует Notion API, чтобы обеспечить максимально точную передачу данных. Этот метод, хотя и более надежный, чем экспорт в Markdown, требует множества запросов. Со временем Notion может начать ограничивать количество этих запросов, что приводит к задержкам.

**Решение:**
- **Подключите устройство к сети:** Убедитесь, что ваш компьютер подключен к источнику питания во время импорта.
- **Отключите режим сна:** Предотвратите переход вашего компьютера в режим сна, чтобы процесс импорта продолжался без прерываний.
- **Будьте терпеливы:** Дайте процессу импорта завершиться. Это может занять некоторое время, особенно если у вас большое количество данных.
</details>

<details>
<summary>У меня возникли проблемы с импортом из Notion или я больше не имею доступа к своему рабочему пространству в Notion</summary>

Если у вас возникли проблемы с импортом из Notion (который работает через Notion API) или вы потеряли полный доступ к своему рабочему пространству в Notion, вы можете экспортировать свое рабочее пространство из Notion в файлы Markdown и CSV и импортировать их в Anytype с помощью опции импорта Markdown.
{% hint style="info" %} 
Имейте в виду, что импорт через файлы Markdown и CSV является более уязвимым по сравнению с использованием Notion API. Это связано с тем, что способ связывания документов и файлов CSV в Notion может не полностью сохраниться в формате Markdown, что может привести к потере структуры или ссылок между документами.
{% endhint %}

**Решение:**
- **Экспортируйте данные из Notion:** В вашем рабочем пространстве Notion экспортируйте данные в файлы Markdown и CSV.
- **Импортируйте в Anytype:** Используйте функцию импорта Markdown в Anytype, чтобы перенести экспортированное содержимое в ваше рабочее пространство Anytype.
</details>

### Пошаговое руководство по импорту из Notion
<details>
<summary>Шаги</summary>

#### Шаг 1

1. **Откройте "Settings & members".**
   <figure><img src="../../../.gitbook/assets/notion/1-1.png" width="500" alt="Откройте Settings & members"></figure>

2. **Откройте "My Connections", затем нажмите "Develop or manage integrations".**
   <figure><img src="../../../.gitbook/assets/notion/1-2.png" width="500" alt="Откройте My Connections"></figure>

3. **Нажмите "New integration" или "Create new integration".**  
   <figure><img src="../../../.gitbook/assets/notion/1-3.png" width="500" alt="Создайте новую интеграцию"></figure>

4. **Выберите свое рабочее пространство и задайте имя для интеграции.**  
   <figure><img src="../../../.gitbook/assets/notion/1-4.png" width="500" alt="Задайте имя для интеграции"></figure>

5. **Важно!**  
   Перейдите в **Capabilities** и выберите следующие возможности, затем нажмите **Save changes**:
  - Чтение содержимого
  - Чтение информации о пользователе  
    <figure><img src="../../../.gitbook/assets/notion/1-5.png" width="500" alt="Выберите возможности"></figure>

6. **Скопируйте Internal Integration Secret** для подключения и импорта ваших данных.  
    <figure><img src="../../../.gitbook/assets/notion/1-6.png" width="500" alt="Скопируйте Internal Integration Secret"></figure>

#### Шаг 2

**Добавьте интеграцию к страницам, которые вы хотите импортировать в Anytype.** Страницы будут импортированы вместе со всеми дочерними документами.

1. **Нажмите на три точки в правом верхнем углу, затем нажмите "Connect to" (возможно, придется прокрутить меню).** Выберите интеграцию Anytype.  
    <figure><img src="../../../.gitbook/assets/notion/2-1.png" width="500" alt="Подключите к интеграции Anytype"></figure>

2. **Убедитесь, что вы выбрали все корневые страницы**, чтобы избежать появления неработающих ссылок в Anytype после импорта.

3. **Добавьте интеграцию к соединению каждой страницы**, чтобы обеспечить правильный импорт страниц и их связанного контента.
   
   <figure><img src="../../../.gitbook/assets/notion/2-2.png" width="500" alt="Нажмите Подтвердить"></figure>

#### Шаг 3

**Завершите импорт и обеспечьте его плавное выполнение:**

1. **Вставьте свой Internal Integration Token в Anytype.**
2. **Подготовьтесь к плавному импорту:**
  - Используйте хорошее интернет-соединение, особенно если у вас много файлов.
  - Держите компьютер подключенным к источнику питания.
  - Отключите режим сна на компьютере, чтобы процесс импорта завершился без прерываний.

</details>
