---
description: Типы — это система классификации, которую мы используем для категоризации Объектов.
---

# Типы

Так же, как и в физическом мире, Типы полезны для определения Объектов, которые категорически отличаются друг от друга.

Банан по своей природе отличается от дивана. Его функции, свойства и связи с другими объектами больше похожи на яблоки и апельсины, чем на диваны. По этой причине мы можем классифицировать яблоки, апельсины и бананы как _фрукты_, тогда как диваны попадают в другую категорию: _мебель._

По тому же принципу в Anytype важно помнить о двух ключевых концепциях:

1) Каждый объект имеет Тип, который определяется во время создания Объекта (и может быть изменен позже).

2) Разные Типы используются для определения Объектов, которые категорически отличаются друг от друга.

Коллеги, друзья и соседи могут быть отнесены к типу: _Человек_ в вашем графе Anytype. Вот другие примеры Типов, которые могут быть в вашем графе:

* Задача
* Заметка
* Книга
* Фильм
* Идея

Вам решать, насколько узкими или широкими будут ваши Типы, но в целом мы рекомендуем использовать общие Типы для категоризации ваших Объектов и дополнительно уточнять использование ваших Типов с помощью [Шаблонов](../../use-cases/deep-dive-templates.md).

Вы всегда можете просматривать и управлять своими Типами в Библиотеке Типов, которая находится в виджете _Библиотека_ на вашей боковой панели.
