# Рабочий процесс продукта

### Почему мы создаем то, что создаем

Сообщество было основой нашей работы с первого дня. Сегодня мы попытаемся открыть процессы разработки продуктов за Anytype. Это будет первый шаг, и мы надеемся продолжить его в будущем с дополнительными подробностями, если это окажется полезным для сообщества.

_Существует два критических вопроса в работе над продуктом:_

<figure><img src="../../.gitbook/assets/SCR-20231115-hz3.jpeg" alt=""><figcaption></figcaption></figure>

Прежде чем перейти к этим вопросам, давайте рассмотрим основы.

### Рабочий процесс

* Наш год разделен на три сезона. Наша цель — выпускать два-три релиза за сезон.
* Продуктовая команда работает в двух направлениях: реализация и исследование.
* Во время реализации мы сосредотачиваемся на выполнении планов, а во время исследования собираем информацию для будущего планирования.

<figure><img src="../../.gitbook/assets/image (4) (1).png" alt=""><figcaption><p>Схема процесса планирования года</p></figcaption></figure>

### Исследование ⟶ Реализация

Процесс исследования обычно остается за кадром, но он является важной частью, так как именно в это время мы можем понять `Что? Почему? Как?`.

При планировании каждого сезона мы рассматриваем два типа функций:

<figure><img src="../../.gitbook/assets/image2.png" alt=""><figcaption></figcaption></figure>

{% hint style="info" %}
На нашем [публичном дорожном плане](https://github.com/orgs/anyproto/projects/1) вы можете найти функции, которые были реализованы или прошли этап исследования и готовятся к реализации.
{% endhint %}

**Стратегическое значение**

* Мульти-пространства с любой степенью детализации работы
* Многопользовательская и по-настоящему безопасная совместная работа
* Библиотека опыта и примеры использования сообществом
* Файлы как объект — новое измерение работы с файлами
* Процесс входа в систему и безопасность аккаунта

<figure><img src="../../.gitbook/assets/image3.png" alt=""><figcaption></figcaption></figure>

### Мы вас слышим!

Функции, которые будут реализованы на основе запросов сообщества:

* [Просмотры календаря и временной шкалы](https://community.anytype.io/t/calendar-timeline-views/1576/35)
* [Сделать «переключатель» функцией каждого блока вместо/в дополнение к типу блока](https://community.anytype.io/t/make-toggle-a-feature-of-every-block-instead-of-in-addition-to-a-block-type/1001/1)
* [Автоматическая двунаправленная привязка + Связанные значения](https://community.anytype.io/t/automatic-bi-directional-linking-rollups/1600/46)
* [Поддержка создания и отображения наборов inline](https://community.anytype.io/t/support-for-inline-creation-and-display-of-sets/1527)
* [Веб-клиппер](https://community.anytype.io/t/web-clipper/993/26)
* [Открытие и изменение вложенных файлов напрямую без скачивания](https://community.anytype.io/t/open-and-modify-attached-files-directly-instead-of-downloading-them/1003/1)
* [Система уведомлений: более масштабное предложение для обсуждения](https://community.anytype.io/t/notification-system-larger-proposal-for-discussion/1024/1)
* [Добавление боковой панели для просмотра/редактирования нескольких страниц одновременно](https://community.anytype.io/t/add-a-sidebar-for-viewing-editing-multiple-pages-at-once/978/12) / [Добавление вкладок для отображения нескольких страниц](https://community.anytype.io/t/add-tabs-to-show-multiple-pages/1455/1)
* [Меню «Поделиться» в мобильных приложениях](https://community.anytype.io/t/share-menu-on-mobile-apps/1271/21)
* [Глубокие ссылки (deeplinking)](https://community.anytype.io/t/deeplinking/4651/21)
* [Виджеты для мобильных устройств](https://community.anytype.io/t/widgets-for-mobile-devices/1593/1)
* [Выбор пользовательского местоположения для хранения](https://community.anytype.io/t/custom-storage-location/994/13)
* [Диктофон](https://community.anytype.io/t/voice-recorder/2363/1)
* [Возможность одновременного редактирования связей для нескольких объектов в наборе](https://community.anytype.io/t/ability-to-simultaneously-edit-relations-for-multiple-objects-in-a-set/1574/17)
* [Возможность вставки связей Inline с текстом](https://community.anytype.io/t/ability-to-insert-relations-inline-with-text/1535/15)

…_И многое другое!_
