---
description: В Anytype нет паролей — только ваш ключ
---

# Ключ

<figure><img src="../../.gitbook/assets/Screenshot 2023-08-17 at 18.31.38.png" alt=""><figcaption><p>Вы можете получить доступ к вашему ключу в любое время, перейдя в Профиль > Настройки > Ключ</p></figcaption></figure>

Когда вы создаете свое хранилище, вы получаете свою уникальную 12-словную мнемоническую фразу. Эта фраза генерируется на устройстве и является единственным способом получить доступ к вашему хранилищу и расшифровать ваши данные.

Ваш Ключ выполняет функции логина и пароля одновременно. Этот мнемонический код представляет ваш мастер-ключ, созданный при регистрации, аналогично биткойн-кошельку.

Изменить его невозможно, и крайне важно сохранить его в безопасности. Вы можете получить доступ к нему в любое время, перейдя в Профиль > Настройки > Ключ.

### Не забудьте сохранить его!

Мы не сохраняем копию вашего ключа, что означает, что если он утерян, мы не сможем помочь восстановить доступ к вашему хранилищу. По этой причине мы рекомендуем сделать цифровую резервную копию или записать его и хранить в надежном месте.

Вам понадобится этот ключ каждый раз, когда вы будете входить с нового устройства.

### Что такое Ключ?

Ваш ключ, также известный как seed-фраза, представляет собой **уникальную комбинацию слов**, которая служит криптографическим ключом. Обычный Ключ состоит из 12, 18 или 24 слов, выбранных из заранее определенного списка.

Ваш ключ используется для получения [**приватного ключа**](https://en.wikipedia.org/wiki/Public-key\_cryptography) вашего аккаунта с помощью [**алгоритма BIP39**](https://medium.com/coinmonks/mnemonic-generation-bip39-simply-explained-e9ac18db9477).

### Почему мы используем seed-фразу в качестве Ключа?

Основная цель seed-фразы — обеспечить безопасный и удобный метод резервного копирования и восстановления зашифрованной информации. Используя seed-фразу, мы можем восстановить наши приватные ключи и получить доступ к нашим данным, даже если наши устройства будут потеряны, украдены или повреждены. Она действует как мастер-ключ, который открывает доступ к нашим данным, делая её незаменимым инструментом для долгосрочного сохранения и безопасности данных.

Seed-фразы следуют стандартному протоколу, называемому BIP-39 (Bitcoin Improvement Proposal 39), который обеспечивает совместимость между различными кошельками и приложениями. Протокол BIP-39 также вводит контрольную сумму для обнаружения ошибок при переписывании, что снижает риск потери из-за человеческой ошибки.

### Может ли кто-то получить мой Ключ?

Сила вашего ключа заключается в его способности защищать ваши цифровые активы. При правильной генерации, управлении и хранении практически невозможно, чтобы кто-то получил ваш ключ без вашего согласия или ведома. Ключи генерируются с использованием сложных математических алгоритмов, и огромное количество возможных комбинаций делает крайне сложным для злоумышленника угадать или подобрать ваш ключ.

Однако важно понимать, что ответственность за защиту вашего ключа лежит на вас. Хотя может возникнуть соблазн хранить его в цифровом виде для удобства, такие методы могут создать уязвимости. Вместо этого рекомендуется записать ваш ключ на физический носитель и хранить его в надежном месте, известном только вам. Избегайте хранения вашего Ключа на устройствах, подключенных к интернету, или в облачном хранилище, так как они могут быть скомпрометированы хакерами или несанкционированным доступом.

### Хранение Ключа

Если вы используете Mac, настройка Anytype по умолчанию — хранить ваш ключ в приложении Keychain Access. Он не сохраняется нигде еще. Сохранение ваших паролей в iCloud зависит от того, включена ли у вас эта опция в настройках. Вы можете проверить [страницу поддержки Apple](https://support.apple.com/en-us/HT204085) для получения дополнительной информации о резервном копировании паролей в iCloud.

Мы настроили эту систему как страховку для пользователей, которые могут иначе потерять свой Ключ. Мы работаем над другими вариантами для будущего, но пока это работает так.

Если вы вошли с вашим ключом на вашем Mac, то вы можете найти его здесь:

1. Нажмите и откройте Finder из дока.
2. Нажмите на Приложения и откройте Утилиты.
3. Откройте приложение Keychain Access.
4. На боковой панели: выберите Default Keychains: login.
5. Найдите и откройте вашу инстанцию Anytype в списке.
6. Отметьте поле “Показать пароль”, чтобы увидеть ваш ключ.

#### Windows

Ваш ключ хранится в [Диспетчере учетных данных](https://support.microsoft.com/en-us/windows/accessing-credential-manager-1b5c916a-6a16-889f-8581-fc16e8165ac0), но, к сожалению, в настоящее время доступ к нему невозможен.

#### Linux

Вы можете использовать [seahorse](https://wiki.gnome.org/Apps/Seahorse/), чтобы найти ваш ключ, если вы используете [GNOME Keyring](https://wiki.gnome.org/action/show/Projects/GnomeKeyring?action=show\&redirect=GnomeKeyring).
