# Загрузить приложение

Вы можете скачать последнюю версию Anytype для вашего устройства по адресу [download.anytype.io](https://download.anytype.io).

В настоящее время нет [веб-версии](../miscellaneous/faqs.md#why-is-there-no-browser-version-of-anytype) приложения.

### Минимальные требования

* Для настольных компьютеров Electron использует Chrome, который следует [политикам поддержки производителей](https://support.google.com/chrome/a/answer/7100626?hl=en).\
  В данный момент это означает:
  * Win 10+
  * macOS Catalina 10.15+
  * 64-битный Ubuntu 18.04+, Debian 10+, openSUSE 15.5+ или Fedora Linux 38+
* Для Android (если установлен через Google Play) требуется Android 8.0 и 64-битное устройство с минимум 4 ГБ оперативной памяти.
* Для iOS требуется iOS 16.

### Местоположение установки

Anytype устанавливается:

* В Windows 10 и выше, обычно расположено:\
  `C:\Users\<username>\Appdata\Local\Programs\anytype2\Anytype.exe`\
  **username** обозначает имя вашего пользователя, т.е. рабочий каталог.&#x20;
* Для MacOS это: ` HDD > Users >`` `` `_`Username`_` `` ``> Library > Application Support > anytype `
* Для Linux ваш рабочий каталог находится в `~/.config/anytype`
* Для Android это ваше место по умолчанию, обычно: \_device/data/app\_​.\
  Мы также храним некоторые кэши: _device/data/data/io.anytype.app_\
  Директория Anytype хранится в защищенной папке данных приложения, которая недоступна для пользователя на устройствах Android.
* Для iOS это стандартный путь установки, определяемый iOS.

### Пользовательское местоположение хранения

При создании хранилища теперь можно выбрать местоположение на вашем жестком диске. Если ваше хранилище уже создано, вы также можете изменить местоположение и восстановить данные из сети. Для этого сначала выйдите из системы, затем нажмите на значок шестеренки на черном экране входа.

<figure><img src="../../.gitbook/assets/Custome Storage Location.gif" alt="" width="563"><figcaption></figcaption></figure>

{% hint style="danger" %}
Будьте осторожны при использовании режима только локального хранения, так как ваши данные можно будет перенести на второе устройство только через одноранговое (P2P) подключение.
{% endhint %}

#### Внешние диски и облачные хранилища&#x20;

Чтобы хранить данные на внешнем диске, сначала нужно смонтировать диск, а затем следовать инструкциям из [#custom-storage-location](get-the-app.md#custom-storage-location "mention").

Мы не рекомендуем использовать облачные сервисы, такие как Google Drive или iCloud, так как это может привести к конфликтам или проблемам синхронизации.
