---
description: Все о членствах и ценах для сети Anytype
---

# Подписки

Наши подписки отражают те же основные принципы, которые всегда руководили развитием Anytype: неограниченный доступ к нашему программному обеспечению и открытая экосистема, где вклады справедливо вознаграждаются.

Здесь мы описываем первую версию наших планов членства, которые будут запущены весной 2024 года. Для получения дополнительной информации о философии, стоящей за нашим членством, и его планируемой эволюции, посетите эту запись в блоге: [Наша философия членства](https://blog.anytype.io/our-memberships-philosophy/).

## Модель и планы подписки

<figure><img src="../../../.gitbook/assets/Membership Plans-25 Apr.png" alt=""><figcaption><p>Планы членства Anytype</p></figcaption></figure>

После запуска программ членства все пользователи Anytype будут относиться к одной из следующих категорий:

1. **Бесплатные пользователи:** Те, кто не приобрел или не заработал подписку.
2. **Участники:** Те, кто приобрел или заработал подписку.
   * Исследователи
   * Создатели
   * Криейторы
3. **Гости:** Те, кого пригласили в общее пространство в сети Anytype текущие члены.

### **Бесплатные пользователи**

Это статус по умолчанию для новых пользователей, которые не были приглашены в общее пространство текущими членами Anytype.

_Все участники и бесплатные пользователи имеют неограниченный доступ к следующему:_

* Локальное хранилище только на устройстве
* P2P-синхронизация
* Шифрование с нулевым разглашением

### **Участники**

Существует три плана подписки в сети Anytype:

**Подписка Исследователя:** Те, кто указывает свой адрес электронной почты\*, становятся членами Исследователей без дополнительных затрат. Членство Исследователя включает:

* Локальное, неуникальное имя
* 1 ГБ пространства для резервного копирования и синхронизации в сети
* Одно пространство "Вход"
* До 3 общих пространств
  * 3 участника в каждом общем пространстве (Владелец + 2 приглашенных участника в каждом пространстве)

_\*Бета-тестеры — те, кто присоединился до запуска многопользовательского режима в апреле 2024 года — автоматически получают членство Исследователя, независимо от того, указали ли они ранее свой адрес электронной почты. Ограничения на хранение, ранее применявшиеся к вашему хранилищу, не изменятся._

**Подписка Создателя:** Те, кто решит приобрести годовое членство по цене $99 (апрель 2024 года). Членство Строителя включает:

* Глобальное, уникальное имя (7+ символов)
* 128 ГБ пространства для резервного копирования и синхронизации в сети
* Одно пространство "Вход"
* До 3 общих пространств
  * 10 редакторов в каждом общем пространстве (Владелец + 9 приглашенных редакторов в каждом пространстве)
  * Неограниченное количество Просмотрщиков для общих пространств
* Приоритетная поддержка

**Подписка Криейтора:** Те, кто решит приобрести трехлетнюю подписку по цене $299 (апрель 2024 года). Членство Со-творца включает:

* Глобальное, уникальное имя (5+ символов)
* 256 ГБ пространства для резервного копирования и синхронизации в сети
* Одно пространство "Вход"
* До 3 общих пространств
  * 10 редакторов в каждом общем пространстве (Владелец + 9 приглашенных редакторов в каждом пространстве)
  * Неограниченное количество Просмотрщиков для общих пространств
* Приоритетная поддержка
* Эксклюзивные приглашения на мероприятия и встречи Со-творцов

**Гости:** Те, кого пригласили в общие пространства текущие члены. Гости членов имеют доступ к следующему:

* Одно пространство "Вход"
* Доступ к 3 общим пространствам, если их пригласили в эти пространства другие члены

## Эксклюзивные скидки для бета-тестеров

<figure><img src="../../../.gitbook/assets/Beta Discounts - 25 Apr.png" alt=""><figcaption></figcaption></figure>

Для тех, кто хочет приобрести планы Создателя или Криейтора, мы предложим ограниченное количество членств со скидкой по предзаказу следующим образом:

* 250 годовых членств Создателя по цене $79
  * Используйте промокод: `BetaBuilderPreOrder2024` при оформлении заказа
* 250 трехлетних членств Криейтора по цене $239
  * Используйте промокод: `BetaCoCreatorPreOrder2024` при оформлении заказа

Это предложение доступно только для бета-пользователей, которые присоединились к нашему сообществу до запуска программ членства.&#x20;

## Цены для участников

Активные участники нашего кода, галереи, учебных пособий и сообщества получат субсидированное годовое членство Создателя. Активные вклады определяются как 2+ вклада за последний год. Вы можете проверить статус своих вкладов [здесь](https://github.com/anyproto/contributors/blob/main/contributors.json).

Другие участники, которые не достигли порога в 2 вклада в год, могут приобрести годовой план Создателя с 50% скидкой.

Чтобы запросить ваш промокод для участника, пожалуйста, напишите нам по адресу [association@anytype.io](mailto:association@anytype.io).&#x20;

Если вы считаете, что статус вашего вклада неверен, пожалуйста, напишите нам по адресу [association@anytype.io](mailto:association@anytype.io).

## Цены для пользователей с самостоятельным хостингом

Пользователи с самостоятельным хостингом могут самостоятельно управлять лимитами Просмотрщиков/Редакторов, которых они приглашают в свои пространства. Те, кто хочет приобрести имя в системе имен Anytype или получить приоритетную поддержку, могут приобрести членство по той же цене, что и другие бета-тестеры.

В будущем мы введем скидки на членство для пользователей с самостоятельным хостингом. Для тех, кто хочет поддержать сеть в это время, мы будем рады вашему пожертвованию [здесь](https://stripe.pay.anytype.io/b/4gw0337MrdvbejK28f) (спасибо!).

### Хотите узнать больше о членствах? Ознакомьтесь с часто задаваемыми вопросами:

{% content-ref url="multiplayer-and-membership-faqs.md" %}
[multiplayer-and-membership-faqs.md](multiplayer-and-membership-faqs.md)
{% endcontent-ref %}
