---
description: Подробности о планах членства, многопользовательском режиме и оплатах
---

# Часто задаваемые вопросы о многопользовательском режиме и членстве

## Многопользовательский режим

<details>

<summary>Как создать общее пространство?</summary>

![](<../../../.gitbook/assets/Space Settings\_Shared Space Creation.png>)

Каждое новое пространство, которое вы создаете, по умолчанию является _Приватным_. В меню настроек пространства вы увидите опцию «Поделиться». Это создаст ссылку для обмена, которую вы можете отправить любому, кого хотите пригласить в ваше пространство. В этот момент пространство становится _Общим_.

</details>

<details>

<summary>Какие настройки контроля доступа доступны в моих общих пространствах?</summary>

Когда вы создаете общее пространство, вы становитесь Владельцем пространства. Владелец пространства может изменить любой объект в пространстве, имя и настройки пространства, и только он имеет право добавлять и удалять участников.

Участники пространства могут иметь права Просмотрщика или Редактора. Просмотрщики имеют доступ только для чтения в пространстве, в то время как Редакторы могут редактировать любой объект в пространстве или имя пространства.&#x20;

</details>

<details>

<summary>Как пригласить людей в мое пространство?</summary>

![](<../../../.gitbook/assets/Anytype Space Sharing\_Invite Link.png>)

Как владелец пространства, после нажатия «Поделиться пространством» в настройках вашего пространства, вы можете создать ссылку-приглашение. Любой, кому вы отправите эту ссылку, может запросить доступ к вашему пространству.&#x20;

Когда новый пользователь запросит доступ к вашему пространству, вы сможете одобрить или отклонить запрос и установить для него права «Редактор» или «Просмотрщик».

</details>

<details>

<summary>Как работает ссылка-приглашение?</summary>

При нажатии на вашу ссылку-приглашение гости, которые уже установили Anytype, увидят всплывающее окно с подтверждением, спрашивающее, хотят ли они присоединиться к вашему пространству. После нажатия «Запросить присоединение» вы получите уведомление о запросе на присоединение от \[имя профиля гостя] к вашему общему пространству.

Если ваш гость никогда не устанавливал Anytype, ссылка-приглашение откроет уникальную страницу загрузки с инструкциями по установке приложения. После установки им потребуется снова нажать на ссылку-приглашение, которая откроет всплывающее окно с подтверждением «Запросить присоединение».

</details>

<details>

<summary>Сколько человек я могу пригласить в свое пространство?</summary>

Исследователи могут пригласить до двух дополнительных Редакторов в каждое общее пространство. Строители и Со-творцы могут пригласить до девяти дополнительных Редакторов в каждое общее пространство и неограниченное количество Просмотрщиков.

</details>

<details>

<summary>Могут ли гости моего пространства использовать Anytype в режиме только локального доступа?</summary>

Если они не находятся в одной локальной сети, гости должны быть подключены к сети Anytype, чтобы видеть все изменения в пространстве.

</details>

### Членство

<details>

<summary>Что происходит с моими общими пространствами, если я решу не продлевать членство?</summary>

Вы можете _не_ продлевать свое платное членство до момента, когда оно автоматически продлится. Для этого посетите сайт платежного провайдера, который вы использовали для оплаты членства (Stripe, App Store, Google Play).

**Ваше глобальное имя**

Ваше имя будет освобождено и доступно для покупки через год или три года с момента первой покупки вашего членства, в зависимости от того, какое членство вы приобрели.

**Ваши пространства**

Если вы не продлите членство, все участники ваших общих пространств (включая вас) увидят всплывающее уведомление с двумя вариантами: _Удалить_ или _Экспортировать_ пространство. Только если участники экспортируют пространство и снова импортируют его в новое пространство, они смогут продолжить доступ к данным пространства через Anytype (однако изменения больше не будут синхронизироваться).

**Ваши данные**

Зашифрованные резервные копии ваших данных будут удалены с резервного узла Anytype через 30 дней.

</details>

<details>

<summary>Какие методы оплаты я могу использовать?</summary>

Принимаются все основные кредитные карты. Цены на членство указаны в долларах США и будут конвертированы в вашу местную валюту с использованием курсов обмена на Stripe, если вы приобретаете членство через настольное приложение.

Если вы покупаете членство через приложения для iOS или Android, платеж будет обработан App Store или Play Store, и цены будут автоматически скорректированы в вашу местную валюту соответствующей платформой.

</details>

<details>

<summary>Что делать, если я хочу добавить дополнительных участников в свое пространство?</summary>

В следующей версии членства у нас будет тариф для B2B и образовательных случаев использования с возможностью добавления до 20 дополнительных редакторов в каждое пространство.

</details>

<details>

<summary>Что происходит, если я превышаю лимиты хранения и синхронизации?</summary>

Ваши пространства перестанут синхронизироваться друг с другом через резервный узел и будут использовать только локальную синхронизацию/хранилище.&#x20;

</details>

<details>

<summary>Как я могу запросить возврат средств?</summary>

Возврат средств должен быть запрошен в течение 5 дней после оплаты, отправив письмо на [support@anytype.io](mailto:support@anytype.io). Мы можем вернуть только 25% от стоимости членства, так как мы не получаем возврат за регистрацию вашего имени в сети.&#x20;

</details>

<details>

<summary>Существует ли план для студентов / образовательных учреждений?</summary>

Мы предлагаем скидку 50% всем, кто свяжется с нами по адресу [membership-upgrade@anytype.io](mailto:membership-upgrade@anytype.io), используя адрес электронной почты, связанный с университетом.

</details>
